Skip to main content
POST
/
oauth
/
accessToken
Get an access token
curl --request POST \
  --url https://api.seamless.ai/api/client/v1/oauth/accessToken \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_id": "<string>",
  "client_secret": "<string>",
  "redirect_uri": "<string>",
  "code": "<string>",
  "refresh_token": "<string>"
}
'
import requests

url = "https://api.seamless.ai/api/client/v1/oauth/accessToken"

payload = {
"client_id": "<string>",
"client_secret": "<string>",
"redirect_uri": "<string>",
"code": "<string>",
"refresh_token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '<string>',
client_secret: '<string>',
redirect_uri: '<string>',
code: '<string>',
refresh_token: '<string>'
})
};

fetch('https://api.seamless.ai/api/client/v1/oauth/accessToken', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "access_token": "<string>",
  "expires_at": 123,
  "refresh_token": "<string>"
}
{
"message": "<string>"
}
{
"msg": "<string>",
"code": "<string>",
"data": {
"productCategory": "<string>",
"additionalCreditsNeeded": 123
}
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
client_id
string
required
client_secret
string
required
redirect_uri
string
required
grant_type
enum<string>
required
Available options:
authorization_code,
refresh_token
code
string

Required if grant_type is authorization_code

refresh_token
string

Required if grant_type is refresh_token

Response

The access token

access_token
string
expires_at
integer
refresh_token
string